<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:template match="/">
		<html>
			<head>
				<title>
					Purchase Order Report
				</title>
			</head>
			<body>
				<h1>Purchase Order Report</h1>
				
				<table>
					<tr>
						<th width="50" align="left">ID</th>
						<th width="250" align="left">Product</th>
						<th width="65" align="right">Qty</th>
						<th width="65" align="right">Price</th>
						<th width="65" align="right">Discount</th>
						<th width="85" align="right">Total</th>
					</tr>
					
					<xsl:apply-templates />
					
				</table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="/purchaseOrders/purchaseOrder/customerInfo">
		<tr>
			<td  colspan="6">
				<p style="margin-top: 24; margin-bottom; 12;">
					<b>
						Order From 
						<xsl:value-of select="firstName" />
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text> 
						<xsl:value-of select="mi" />
						<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text> 
						<xsl:value-of select="lastName" />
					</b>
				</p>
			</td>
		</tr>
		
		<xsl:apply-templates />

	</xsl:template>
	
	<xsl:template match="/purchaseOrders/purchaseOrder/products/product ">
		
		<tr>
			<td width="50" align="left">
				<xsl:value-of select="@productId" />
			</td>
			<td width="250" align="left">
				<xsl:value-of select="name" />
			</td>
			<td width="65" align="right">

				<xsl:value-of select="qty" />
			</td>
			<td width="65" align="right">

				<xsl:value-of select="unitPrice" />
			</td>
			<td width="65" align="right">

				<xsl:value-of select="discount" />
			</td>
			<td width="85" align="right">
				<xsl:value-of select="(qty * unitPrice) - discount" />
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="*">
		<!-- do nothing -->
		<xsl:apply-templates select="*"/>
	</xsl:template>
	
</xsl:stylesheet>
