
<style>
  
   .xmlName {
      color: Maroon;
   }

   .xmlAttribute {
      color: Blue;
   }

   .xmlData {
      color: Black;
   }
   
   .xmlOperator {
      color: LightGrey;
   }

</style>

<cffunction name="iterateXml" returnType="string" output="false">
   <cfargument name="element">
   <cfargument name="level">
   
   <cfset var atts="">
   <cfset var i="">
   <cfset var childCount=0>
   <cfset var nextLevel = arguments.level + 1>

   <cfset var ret = "">

   <!--- indent based on level --->
   <cfset ret = ret & RepeatString("   ", arguments.level)>
   
   
   <!--- open this element --->
   <cfset ret = ret & 
                "<span class='xmlOperator'>&lt;</span>" & 
                "<span class='xmlName'>" & 
                arguments.element.xmlName & 
                "</span>">

   
   <!--- loop through attributes and add to the element --->
   <cfset atts = arguments.element.xmlAttributes>
   <cfloop item="i" collection="#atts#">

      <cfset ret = ret & " " &
                   "<span class='xmlAttribute'>" & 
                   i &
                   "</span>" &
                   "<span class='xmlOperator'>='</span>" & 
                   "<span class='xmlData'>" & 
                   atts[i] &
                   "</span>" &
                   "<span class='xmlOperator'>'</span>">

   </cfloop>

   
   <!--- close this element --->
   <cfset ret = ret & "<span class='xmlOperator'>&gt;</span>">

   
   <!--- add the text, if any --->
   <cfset ret = ret & 
                "<span class='xmlData'>" &
                trim(arguments.element.xmlText) &
                "</span>">
   

   <!--- loop through children and recursively iterate each --->
   <cfset childCount = arrayLen(arguments.element.xmlChildren)>
   <cfif childCount>
      <cfloop index="i" from="1" to="#childCount#">
         <cfset ret = ret & chr(13) & chr(10)>
         <cfset ret = ret & iterateXml(arguments.element.xmlChildren[i], nextLevel)>
      </cfloop>

      <cfset ret = ret & chr(13) & chr(10)>
      <cfset ret = ret & RepeatString("   ", arguments.level)>
   
   </cfif>

   <cfset ret = ret & "<span class='xmlOperator'>&lt;/</span>" & 
                "<span class='xmlName'>" & 
                arguments.element.xmlName & 
                "</span>" & 
                "<span class='xmlOperator'>&gt;</span>">
   
   <cfreturn ret>

</cffunction>

<pre style="font-size: 24; font-weight: bold; line-height: 1.25;">
<cfoutput>#iterateXml(attributes.xmlObject.xmlRoot, 0)#</cfoutput>
</pre>

      




